---
updatedAt: 2025-06-05T01:13:56.000Z
agentTools:
  projectIndex: https://developers.7shifts.com/v2.2023.0501/llms.txt
---

# Update Event

**[Minimum Plan Required](/docs/plan-requirements):** The Works

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "7shifts API",
    "contact": {
      "email": "api-support@7shifts.com"
    },
    "version": "2023-05-01"
  },
  "servers": [
    {
      "url": "https://api.7shifts.com",
      "description": "Production server"
    }
  ],
  "paths": {
    "/v2/company/{company_id}/events/{event_id}": {
      "patch": {
        "tags": [
          "Schedule Events"
        ],
        "summary": "Update Event",
        "operationId": "editEvent",
        "x-public-api": true,
        "parameters": [
          {
            "name": "x-api-version",
            "in": "header",
            "description": "7shifts API version",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
              "description": "An API version",
              "example": "2022-05-01"
            }
          },
          {
            "name": "x-company-guid",
            "in": "header",
            "description": "Company GUID",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "1310bfe1-cb3f-4f24-98a2-fde2bc504108"
          },
          {
            "name": "company_id",
            "in": "path",
            "description": "Company ID",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "example": 1234
          },
          {
            "name": "event_id",
            "in": "path",
            "description": "Event ID",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "example": 1234
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "location_ids": {
                        "type": "array",
                        "items": {
                          "type": "integer"
                        },
                        "description": "The list of locations where this event occurs"
                      },
                      "start_date": {
                        "description": "Start date",
                        "example": "2019-01-01",
                        "type": "string",
                        "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
                      },
                      "start_time": {
                        "description": "Start time",
                        "type": "string",
                        "example": "09:00:00"
                      },
                      "end_date": {
                        "description": "End date for multi-day events",
                        "example": "2019-01-02",
                        "type": "string",
                        "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
                      },
                      "end_time": {
                        "description": "End time",
                        "type": "string",
                        "example": "17:00:00"
                      },
                      "title": {
                        "description": "The name of the event",
                        "type": "string",
                        "maxLength": 100
                      },
                      "description": {
                        "description": "Description for event",
                        "type": "string",
                        "nullable": true
                      },
                      "color": {
                        "description": "A hex number representing the color",
                        "nullable": true,
                        "type": "string",
                        "pattern": "^([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$",
                        "example": "5ea17c"
                      },
                      "is_multi_day": {
                        "description": "If true, the event is a multi-day event",
                        "type": "boolean"
                      },
                      "recurrence": {
                        "type": "string",
                        "description": "Recurrence rules as defined by the RFC 5545 spec",
                        "nullable": true,
                        "example": "Daily for 10 occurrences ==> (1997 9:00 AM EDT) September 2-11 DTSTART;TZID=America/New_York:19970902T090000 RRULE:FREQ=DAILY;COUNT=10"
                      }
                    },
                    "required": [
                      "location_ids",
                      "start_date",
                      "start_time",
                      "end_time",
                      "end_date",
                      "title",
                      "is_multi_day"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "recurrence_target": {
                        "type": "string",
                        "description": "describes which recurring events will be updated",
                        "enum": [
                          "THIS",
                          "THIS_AND_FUTURE"
                        ],
                        "nullable": true
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "allOf": [
                          {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "event_type": {
                                "type": "string",
                                "enum": [
                                  "general",
                                  "birthday",
                                  "work_anniversary"
                                ]
                              }
                            },
                            "required": [
                              "id",
                              "event_type"
                            ]
                          },
                          {
                            "type": "object",
                            "properties": {
                              "location_ids": {
                                "type": "array",
                                "items": {
                                  "type": "integer"
                                },
                                "description": "The list of locations where this event occurs"
                              },
                              "start": {
                                "type": "array",
                                "description": "The events start date-time for each locations timezone",
                                "items": {
                                  "type": "object",
                                  "required": [
                                    "location_id",
                                    "date_time"
                                  ],
                                  "properties": {
                                    "location_id": {
                                      "type": "integer",
                                      "description": "Location ID"
                                    },
                                    "date_time": {
                                      "type": "string",
                                      "description": "The events start date-time for the locations timezone"
                                    }
                                  }
                                }
                              },
                              "start_date": {
                                "description": "Start date",
                                "example": "2019-01-01",
                                "type": "string",
                                "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
                              },
                              "start_time": {
                                "description": "Start time",
                                "type": "string",
                                "example": "09:00:00"
                              },
                              "end": {
                                "type": "array",
                                "description": "The events end date-time for each locations timezone",
                                "items": {
                                  "type": "object",
                                  "required": [
                                    "location_id",
                                    "date_time"
                                  ],
                                  "properties": {
                                    "location_id": {
                                      "type": "integer",
                                      "description": "Location ID"
                                    },
                                    "date_time": {
                                      "type": "string",
                                      "description": "The events end date-time for the locations timezone"
                                    }
                                  }
                                }
                              },
                              "end_date": {
                                "description": "End date for multi-day events",
                                "example": "2019-01-02",
                                "type": "string",
                                "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
                              },
                              "end_time": {
                                "description": "End time",
                                "type": "string",
                                "example": "17:00:00"
                              },
                              "title": {
                                "description": "The name of the event",
                                "type": "string",
                                "maxLength": 100
                              },
                              "description": {
                                "description": "Description for event",
                                "type": "string",
                                "nullable": true
                              },
                              "color": {
                                "description": "A hex number representing the color",
                                "type": "string",
                                "example": "5ea17c",
                                "nullable": true
                              },
                              "is_multi_day": {
                                "description": "If true, the event is a multi-day event",
                                "type": "boolean"
                              },
                              "recurrence": {
                                "type": "string",
                                "description": "Recurrence rules as defined by the RFC 5545 spec",
                                "nullable": true,
                                "example": "Daily for 10 occurrences ==> (1997 9:00 AM EDT) September 2-11 DTSTART;TZID=America/New_York:19970902T090000 RRULE:FREQ=DAILY;COUNT=10"
                              }
                            },
                            "required": [
                              "location_ids",
                              "start_date",
                              "start_time",
                              "end_time",
                              "end_date",
                              "title",
                              "is_multi_day"
                            ]
                          }
                        ]
                      }
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          },
          "500": {
            "description": "Unexpected error",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "OAuth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "password": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "authorizationCode": {
            "authorizationUrl": "https://app.7shifts.com/oauth2/authorize",
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          }
        }
      },
      "cookieAuth": {
        "type": "apiKey",
        "in": "cookie",
        "name": "7session"
      }
    }
  },
  "security": [
    {
      "OAuth2": []
    },
    {
      "cookieAuth": []
    }
  ],
  "tags": [
    {
      "name": "Schedule Events"
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```